WESNOTHD(6)

NIMI
wesnothd – Taistelu Wesnothista -moninpelipalvelin

TIIVISTELMÄ
wesnothd [-dv] [-c polku] [-p portti] [-t luku] [-T luku]
wesnothd -V

KUVAUS
Hallitsee Taistelu Wesnothista -moninpelejä. Osoitteessa http://www.wesnoth.org/wiki/ServerAdministration on lista komennoista, jotka palvelin hyväksyy pelin kautta (/query ...) tai FIFOsta.

VALITSIMET

-c polku, --config polku
    Kertoo wesnothdille käytettävän asetustiedoston sijainnin. Osiossa PALVELIMEN ASETUKSET alla kerrotaan sen syntaksi. Palvelinprosessin saa lukemaan asetustiedoston uudestaan lähettämällä sille SIGHUPin.

-d, --daemon
    Käynnistää wesnothdin taustaprosessina.

-h, --help
    Kertoo, mitä komentorivivalitsimet tekevät.

--log-taso=aihealue1,aihealue2,...
    Asettaa vakavuusasteen lokin aihealueille. Sana all vastaa kaikkia aihealueita. Käytettävissä olevat tasot: error, warning, info,debug. Oletuksena käytetään sever-aihealueella tasoa info ja muualla tasoa error.

-p portti, --port portti
    Sitoo palvelimen annettuun porttiin. Oletuksena käytetään porttia 15000.

-t luku, --threads luku
    Asettaa verkkoyhteyksiä odottavien työläissäikeiden enimmäismäärän (oletus: 5, maksimi: 30).

-T luku, --max-threads luku
    Asettaa luotavien työläissäikeiden enimmäismäärän. Arvo 0 poistaa rajoituksen. (Oletus on 0.)

-V, --version
    Näyttää versionumeron ja lopettaa.

-v, --verbose
    Laittaa vianjäljityslokin kirjoittamisen päälle.

PALVELIMEN ASETUKSET

  Yleinen syntaksi on:

[tagi]

    avain="arvo"

    avain="arvo,arvo,..."

[/tagi]

  Globaalit avaimet:

ban_save_file
    Täydellinen tai suhteellinen polku (gzip-pakattuun) tiedostoon, jota palvelin voi lukea ja kirjoittaa. Estot tallennetaan tähän tiedostoon ja luetaan siitä palvelimen käynnistyessä.

connections_allowed
    Sallittujen yhteyksien määrä samasta IP:stä. Arvo 0 poistaa rajoituksen. (Oletus on 5.)

disallow_names
    Nimet tai nimimerkit, joita palvelin ei hyväksy. Jokerimerkeistä toimivat ”*” ja ”?”. Lisätietoja: glob(7). Oletusarvot (käytössä kun muita ei ole annettu) ovat: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Polku FIFOon, jonne voi kirjoittaa palvelinkomentoja (samoja kuin komennolla /query wesnothista). Jos jätetty määrittelemättä, käytetään käännön aikana määriteltyä polkua (oletus: /var/run/socket/wesnothd/socket).

max_messages
    Sallittu määrä viestejä ajanjaksossa, joka on määritelty asetuksella messages_time_period. (Oletus on 4.)

messages_time_period
    Ajanjakso (sekunneissa), jota käytetään viestitulvinnan havaitsemisessa. (Oletus on 10.)

motd
    Päivän viesti.

passwd
    Salasana, jolla saa ylläpitäjän oikeudet. Alkaa yleensä sanalla ”admin”.

replay_save_path
    Hakemisto, johon palvelin tallentaa pelien uusinnat. (Muista vinoviiva lopussa!) Oletus on ”, joka tarkoittaa hakemistoa, jossa wesnothd käynnistettiin.

restart_command
    Komento, jota palvelin käyttää käynnistääkseen uuden palvelinprosessin ”restart”-komennosta. (Annettavissa vain FIFOn kautta.)

save_replays
    Valitsee, tallentaako palvelin automaattisesti pelien uusinnat. (Oletus: false)

versions_accepted
    Pilkuilla eroteltu lista palvelimen hyväksymistä versiomerkkijonoista. Jokerimerkeistä toimivat ”*” ja ”?”. (Oletus on palvelimen versiota vastaava wesnothin versio.)
    Esimerkki: versions_accepted="*" hyväksyy minkä tahansa version.

user_handler
    Käyttäjäkäsittelijän nimi. Tällä hetkellä käytettävissä olevat käsittelijät ovat ”forum” (jolla wesnothd yhdistetään phpbb-foorumin tietokantaan) ja ”sample” (esimerkkitoteutus käyttäjäkäsittelijän rajapinnasta; jos käytät tätä mihinkään todelliseen, olet hullu). Oletusarvo on ”forum”. Myös [user_handler]-osio täytyy lisätä, ks. alla.

  Globaalit tagit:

[redirect] Tällä tagilla määritellään palvelin, jolle uudelleenohjataan tietyt asiakasversiot.

    host
        Osoite palvelimelle, johon ohjataan.

    port
        Portti, johon yhdistetään.

    version
        Pilkuilla eroteltu lista versioista, jotka uudelleenohjataan. Jokerimerkit toimivat samoin kuin asetuksessa versions_accepted.

[ban_time] Tällä tagilla määritellään helppokäyttöisiä avainsanoja väliaikaisten estojen pituuksille.

    name
        Estoajasta käytettävä nimi.

    time
        Ajan pituuden määritelmä. Muoto on: %d[%s[%d%s[...]]] jossa %s on s (sekunteja), m (minuutteja), h (tunteja), D (päiviä), M (kuukausia) tai Y (vuosia) ja %d on luku. Jos ajanmäärettä ei anneta, käytetään oletuksena minuutteja. Esimerkki: time="1D12h30m" luo estoajan, joka kestää 1 päivän, 12 tuntia ja 30 minuuttia.

[proxy] Tällä tagilla käsketään palvelinta toimimaan välityspalvelimena ja ohjaamaan asiakkaiden pyynnöt määrätylle palvelimelle. Hyväksyy samat avaimet kuin [redirect].

[user_handler] Säätää käyttäjäkäsittelijän asetukset. Käytetyt avaimet riippuvat siitä, mikä käsittelijä on valittu avaimella user_handler. Jos asetuksissa ei ole [user_handler]-osiota, palvelin käynnistyy ilman nimimerkkien rekisteröintipalvelua.

    db_host
        (user_handler=forum) Tietokantapalvelimen konenimi.

    db_name
        (user_handler=forum) Tietokannan nimi.

    db_user
        (user_handler=forum) Käyttäjänimi, jolla kirjaudutaan tietokantaan.

    db_password
        (user_handler=forum) Kyseisen käyttäjän salasana.

    db_users_table
        (user_handler=forum) Taulun nimi, johon phpbb-foorumisi tallentaa käyttäjädatansa. Todennäköisimmin tämä on <tauluetuliite>_users (esim. phpbb3_users).

    db_extra_table
        (user_handler=sample) Sen taulun nimi, johon wesnothd tallentaa oman datansa käyttäjistä. Tämä taulu pitää luoda manuaalisesti, esim.: CREATE TABLE <taulunnimi>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (user_handler=sample) Aika, jonka kuluttua rekisteröity nimimerkki vanhenee (päivissä).

[mail] Säätää asetukset SMTP-palvelimelle, jonka kautta käyttäjäkäsittelijä voi lähettää postia. Tällä hetkellä vain esimerkkikäsittelijän käytössä.

    server
        Postipalvelimesi konenimi.

    username
        Käyttäjänimi, jolla kirjaudutaan postipalvelimelle.

    password
        Kyseisen käyttäjän salasana.

    from_address
        Postisi vastausosoite.

    mail_port
        Portti, jota postipalvelimesi käyttää. Oletus on 25.

TEKIJÄT
Kirjoittanut David White <davidnwhite@verizon.net>. Muokannut Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> ja Thomas Baumhauer <thomas.baumhauer@gmail.com>. Tämän manuaalin alkuperäisversion kirjoitti Cyril Bouthors <cyril@bouthors.org>. Suomentanut Wesnothin suomennosryhmä (http://www.wesnoth.org/wiki/FinnishTranslation).
Käy virallisella kotisivulla: http://www.wesnoth.org/

TEKIJÄNOIKEUS
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

KATSO MYÖS
wesnoth(6), wesnoth_editor(6)